| Qore Programming Language - C/C++ Library 1.0.8

Public Member Functions | List of all members
QoreExternalStackLocation Class Reference

Stack location element abstract class for external binary modules. More...

`#include <ExceptionSink.h>`

Inheritance diagram for QoreExternalStackLocation:
[legend]
Collaboration diagram for QoreExternalStackLocation:
[legend]

## Public Member Functions
DLLEXPORT | QoreExternalStackLocation ()
| create the object
DLLEXPORT | QoreExternalStackLocation (const QoreExternalStackLocation &)
| copy ctor
DLLEXPORT | QoreExternalStackLocation (QoreExternalStackLocation &&)
| move ctor
virtual DLLEXPORT | ~QoreExternalStackLocation ()
| destroys the object
virtual DLLEXPORT QoreProgram * | getProgram () const
| returns the QoreProgram container
virtual DLLEXPORT const AbstractStatement * | getStatement () const
| returns the statement for the call for internal Qore code
DLLLOCAL QoreExternalStackLocation & | operator= (const QoreExternalStackLocation &)=delete
| no assignment operator
DLLLOCAL QoreExternalStackLocation & | operator= (QoreExternalStackLocation &&)=delete
| no move assignment operator
Public Member Functions inherited from QoreStackLocation
DLLLOCAL | QoreStackLocation ()
| constructor
DLLLOCAL | QoreStackLocation (const QoreStackLocation &)=default
| copy ctor
DLLLOCAL | QoreStackLocation (QoreStackLocation &&)=default
| move ctor
virtual DLLLOCAL | ~QoreStackLocation ()=default
| virtual destructor
virtual DLLLOCAL const std::string & | getCallName () const =0
| returns the name of the function or method call
virtual DLLLOCAL qore_call_t | getCallType () const =0
| returns the call type
virtual DLLLOCAL const QoreProgramLocation & | getLocation () const =0
| returns the source location of the element
virtual DLLLOCAL const QoreStackLocation * | getNext () const
| returns the next location in the stack or nullptr if there is none
DLLLOCAL QoreStackLocation & | operator= (const QoreStackLocation &)=default
| default assignment operator
DLLLOCAL QoreStackLocation & | operator= (QoreStackLocation &&)=default
| default move assignment operator
DLLLOCAL void | setNext (const QoreStackLocation *next)
| called when pushed on the stack to set the next location More...

## Detailed Description

Stack location element abstract class for external binary modules.

Since
  Qore 0.9

The documentation for this class was generated from the following file:

- include/qore/ExceptionSink.h